# Class default`Abstract`

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- default
  - default
  - default
  - default
  - default
  - default
  - default
  - default
  - default
  - ModalUiHandler
  - default
  - default
  - default
  - default
  - default

- Defined in src/ui/ui-handler.ts:9

#####
Index

### Constructors

constructor

### Properties

active
cursor
mode
scene

### Methods

clear
getCursor
getTextColor
getUi
processInput
setCursor
setup
show

## Constructors

### constructor

- new default(scene, mode): default

- #### Parameters

  - scene: default

    The same scene as everything else.

  - mode: Mode

    The mode of the UI element. These should be unique.

  #### Returns default

  - Defined in src/ui/ui-handler.ts:19

## Properties

### active

active: boolean = false

- Defined in src/ui/ui-handler.ts:13

### `Protected` cursor

cursor: number = 0

- Defined in src/ui/ui-handler.ts:12

### `Protected` mode

mode: number

- Defined in src/ui/ui-handler.ts:11

### `Protected` scene

scene: default

- Defined in src/ui/ui-handler.ts:10

## Methods

### clear

- clear(): void

- #### Returns void

  - Defined in src/ui/ui-handler.ts:55

### getCursor

- getCursor(): number

- #### Returns number

  - Defined in src/ui/ui-handler.ts:42

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  - Defined in src/ui/ui-handler.ts:34

### `Abstract` processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  - Defined in src/ui/ui-handler.ts:32

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  - Defined in src/ui/ui-handler.ts:46

### `Abstract` setup

- setup(): void

- #### Returns void

  - Defined in src/ui/ui-handler.ts:24

### show

- show(_args): boolean

- #### Parameters

  - _args: any[]

  #### Returns boolean

  - Defined in src/ui/ui-handler.ts:26